ru.bitel.bgbilling.plugins.bonus.common.bean

## Class BonusDetailCharge

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.bgbilling.plugins.bonus.common.bean.AbstractBonusBalanceBean
    - - ru.bitel.bgbilling.plugins.bonus.common.bean.BonusDetailCharge

- All Implemented Interfaces:
    java.io.Serializable, Idable

      public class BonusDetailCharge
      extends AbstractBonusBalanceBean

  Часть бонусного расхода которая непосредственно вешается на приход.
  Бонусный расход имеет как минимум одну часть расхода( если сумма прихода хватило погасить целиком расход ). То есть сумма всех бонусных частей расхода равна сумме бонусного расхода
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.plugins.bonus.common.bean.AbstractBonusBalanceBean

      `date, dateString, sum, typeId`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BonusDetailCharge(int id, int bonusChargeId, int typeId, java.util.Date date, java.math.BigDecimal sum, int contractChargeId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBonusChargeId()`
    `int` | `getContractChargeId()`
    `void` | `setBonusChargeId(int bonusChargeId)`
    `void` | `setContractChargeId(int contractChargeId)`

    - ### Methods inherited from class ru.bitel.bgbilling.plugins.bonus.common.bean.AbstractBonusBalanceBean

      `getDate, getDateString, getSum, getTypeId, setDate, setDateString, setSum, setTypeId, toString`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BonusDetailCharge

          public BonusDetailCharge(int id,
                                   int bonusChargeId,
                                   int typeId,
                                   java.util.Date date,
                                   java.math.BigDecimal sum,
                                   int contractChargeId)

      Parameters:
        `id` -
        `bonusChargeId` - - id бонусного расхода
        `typeId` - - тип расхода договора
        `date` -
        `sum` -
        `contractChargeId` - - код расхода договора

  - ### Method Detail

    - #### getBonusChargeId

          public int getBonusChargeId()

    - #### setBonusChargeId

          public void setBonusChargeId(int bonusChargeId)

    - #### getContractChargeId

          public int getContractChargeId()

    - #### setContractChargeId

          public void setContractChargeId(int contractChargeId)